﻿Type=Activity
Version=2.71
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
	Dim SourceImageRect, TouchImageViewRect As Rect
End Sub

Sub Globals
	Dim TouchImageView1 As TouchImageView
	Dim p As Phone
	Dim TouchImageView2 As TouchImageView
End Sub

Sub Activity_Create(FirstTime As Boolean)
p.SetScreenOrientation(0)
	Activity.AddMenuItem("Create Log", "CreateLog")
	
	TouchImageView1.Initialize("TouchImageView1")
	Activity.AddView(TouchImageView1, 0, 0, 100%x, 100%y)
	
	TouchImageView2.Initialize("TouchImageView2")
	Activity.AddView(TouchImageView2, 0, 0, 100%x, 100%y)
	
	TouchImageView1.MinScale=0.25			'	default is 0.5
	TouchImageView1.MaxScale=2				'	default is 1.5
	TouchImageView1.TranslatePadding=128dip	'	default is 64dip
	
	TouchImageView1.Gravity=Gravity.NO_GRAVITY
	TouchImageView1.SetBackgroundImage(LoadBitmap(File.DirAssets, "b4a_logo.png"))

	Dim Bitmap1 As Bitmap
	Bitmap1.Initialize(File.DirAssets, "cromer_pier.jpg")
	TouchImageView1.SetBitmap(Bitmap1)
	
	Dim Bitmap2 As Bitmap
	Bitmap2.Initialize(File.DirAssets, "nina.jpg")
	TouchImageView2.SetBitmap(Bitmap2)
	
	If FirstTime Then
		'	Rect parameters are: left, top, right, bottom
		SourceImageRect.Initialize(0, 0, Bitmap1.Width/4, Bitmap1.Height/4)
		TouchImageViewRect.Initialize(0, 0, 2%x, 2%y)
		
		SourceImageRect.Initialize(0, 0, Bitmap2.Width/4, Bitmap2.Height/4)
		TouchImageViewRect.Initialize(0, 0, 2%x, 2%y)
		
	End If
	
	'	if the scaling process scales the image to less than the current MinScale or more than the current MaxScale then MinScale or MaxScale will be adjusted
	TouchImageView1.ScaleSrcRectToDestRect(SourceImageRect, TouchImageViewRect, "END")	'	make string a static constant in library
	
End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)
	TouchImageViewRect=TouchImageView1.GetDestRect
End Sub

'Sub CreateLog_Click
'	TouchImageView1.CreateLog
'End Sub

Sub TouchImageView1_Click(X As Int, Y As Int)
	Log("Click X="&X&", Y="&Y)
	
	'	zoom the image in by 5% on the clicked point
	'	the new scale factor will be the previous scale factor * 1.05
	
	control(X,Y)
'	TouchImageView1.PreScale(1.05, X, Y)
End Sub

'Sub TouchImageView1_LongClick(X As Int, Y As Int)
'	Log("LongClick X="&X&", Y="&Y)
'	
'	'	set the zoom/scale to 100%
'	'	in this demo ScaleX and ScaleY will always be equal
'	TouchImageView1.PreScale(1/TouchImageView1.ScaleX, X, Y)
'	
'End Sub
Sub control(X As Int, Y As Int)
Log(Activity.Width-90%x)
Log(TouchImageView1.Left)

If TouchImageView1.Left<(Activity.Width-90%x) Then
Activity.Finish
End If
End Sub
