﻿Type=Activity
Version=2.71
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
Dim ti As Timer
End Sub

Sub Globals
	Dim lGdx As LibGDX
	Dim GL As lgGL
	Dim Stage As lgScn2DStage
	Dim Atlas As lgTextureAtlas

	Dim barcenas, bandera,rey As lgScn2DImage
	Dim aznar, chorizo,urdan As lgScn2DImage
	Dim aznar2, chorizo2,urdan2 As lgScn2DImage
	Dim DragAndDrop As lgScn2DDragAndDrop
	Dim DnDPayload As lgScn2DDragAndDropPayload
	Dim re,bar,esp As Int
	Dim p As Phone
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Initializes libGDX
	lGdx.Initialize(False, "LG")
	ti.Initialize("ti",7000)
	ti.Enabled=True
	p.SetScreenOrientation(0)
End Sub

Sub Activity_Resume
	'Informs libGDX of Resume events
	If lGdx.IsInitialized Then lGdx.Resume
End Sub

Sub Activity_Pause (UserClosed As Boolean)
	'Informs libGDX of Pause events
	If lGdx.IsInitialized Then lGdx.Pause
End Sub

Sub LG_Create
	'Initializes the stage
	Stage.Initialize("")

	'Loads the texture atlas
	Atlas.InitializeWithFile("atlas/chori.pack")

	'Creates the actors
	bandera.Initialize3(Atlas.FindRegion("bandera"), "")
	Stage.AddActor(bandera)


	barcenas.Initialize3(Atlas.FindRegion("barcenas"), "")
	Stage.AddActor(barcenas)
	
	rey.Initialize3(Atlas.FindRegion("rey"), "")
	Stage.AddActor(rey)

aznar2.Initialize3(Atlas.FindRegion("aznar"), "")
	Stage.AddActor(aznar2)
	aznar2.InitializeWithDrawable(aznar2.Drawable, "")
	
	chorizo2.Initialize3(Atlas.FindRegion("chorizo"), "")
	Stage.AddActor(chorizo2)
	chorizo2.InitializeWithDrawable(chorizo2.Drawable, "")
	
	urdan2.Initialize3(Atlas.FindRegion("urdan"), "")
	Stage.AddActor(chorizo2)
	urdan2.InitializeWithDrawable(urdan2.Drawable, "")
	
	aznar.Initialize3(Atlas.FindRegion("aznar"), "")
	Stage.AddActor(aznar)
	aznar.InitializeWithDrawable(aznar.Drawable, "")
	
urdan.Initialize3(Atlas.FindRegion("urdan"), "")
	Stage.AddActor(urdan)
	urdan.InitializeWithDrawable(urdan2.Drawable, "")

	chorizo.Initialize3(Atlas.FindRegion("chorizo"), "")
	Stage.AddActor(chorizo)
	chorizo.InitializeWithDrawable(chorizo.Drawable, "")


	'Sets the size and position of actors

	bandera.Height =25%y
	bandera.Width = 25%x
	bandera.X = 0%x
	bandera.Y = 0%y

	barcenas.Height =  25%y
	barcenas.Width =  25%x
	barcenas.X = 0%x
	barcenas.Y =  75%y

	rey.Height =  25%y
	rey.Width =  25%x
	rey.X = 0%x
	rey.Y =  40%y

	aznar.Height =  25%y
	aznar.Width =  25%x
	aznar.X = 75%x
	aznar.Y = 75%y

	chorizo.Height = 25%y
	chorizo.Width = 25%x
	chorizo.X = 75%x
	chorizo.Y =  0%y
	
	urdan.Height =  25%y
	urdan.Width =  25%x
	urdan.X = 75%x
	urdan.Y = 40%y
	
aznar2.Height =  10%y
	aznar2.Width =  10%x
	aznar2.X = 75%x
	aznar2.Y = 75%y

urdan2.Height =  10%y
	urdan2.Width =  10%x
	urdan2.X = 75%x
	urdan2.Y = 40%y

	chorizo2.Height = 10%y
	chorizo2.Width = 10%x
	chorizo2.X = 75%x
	chorizo2.Y =  0%y
	

	'Sets the drag'n'drop sources and targets
	DragAndDrop.Initialize
	DragAndDrop.AddSource(aznar, "aznar")
	DragAndDrop.AddSource(chorizo, "chorizo")
	DragAndDrop.AddSource(urdan, "urdan")
	DragAndDrop.AddTarget(barcenas, "barcenas")
	DragAndDrop.AddTarget(bandera, "bandera")
	DragAndDrop.AddTarget(rey, "rey")

End Sub

Sub LG_Resize(Width As Int, Height As Int)
	'Sets the stage viewport
	Stage.SetViewport(Width, Height, True)
End Sub

Sub LG_Render
	'Clears the screen
	GL.glClearColor(0, 0.7, 0, 1) 'Green
	GL.glClear(GL.GL10_COLOR_BUFFER_BIT)

	'Applies the actions to actors
	Stage.Act

	'Draws the actors
	Stage.Draw
End Sub

Sub LG_Pause
End Sub

Sub LG_Resume
End Sub

Sub LG_Dispose
	'Disposes all resources
	Stage.dispose
	Atlas.dispose
End Sub

Sub aznar_SrcDragStart(Event As lgScn2DInputEvent, X As Float, Y As Float, Pointer As Int) As lgScn2DDragAndDropPayload
	'Makes the family actor invisible
	aznar.Visible = False
	'Sets the drag actor for the family
	DnDPayload.DragActor = aznar2
	DragAndDrop.SetDragActorPosition(-aznar2.Width, aznar2.Height)
	Return DnDPayload
End Sub

Sub aznar_SrcDragStop(Event As lgScn2DInputEvent, DropTarget As lgScn2DActor, X As Float, Y As Float, Pointer As Int)
	'Makes the family actor visible
	aznar.Visible = True
End Sub

Sub chorizo_SrcDragStart(Event As lgScn2DInputEvent, X As Float, Y As Float, Pointer As Int) As lgScn2DDragAndDropPayload
	'Makes the dog actor invisible
	chorizo.Visible = False

	'Sets the drag actor for the dog
	DnDPayload.DragActor = chorizo2
	DragAndDrop.SetDragActorPosition(-chorizo2.Width, chorizo2.Height)
	Return DnDPayload
End Sub

Sub chorizo_SrcDragStop(Event As lgScn2DInputEvent, DropTarget As lgScn2DActor, X As Float, Y As Float, Pointer As Int)
	'Makes the dog actor visible
	chorizo.Visible = True
End Sub

Sub urdan_SrcDragStart(Event As lgScn2DInputEvent, X As Float, Y As Float, Pointer As Int) As lgScn2DDragAndDropPayload
	'Makes the dog actor invisible
	urdan.Visible = False

	'Sets the drag actor for the dog
	DnDPayload.DragActor = urdan2
	DragAndDrop.SetDragActorPosition(-urdan2.Width, urdan2.Height)
	Return DnDPayload
End Sub

Sub urdan_SrcDragStop(Event As lgScn2DInputEvent, DropTarget As lgScn2DActor, X As Float, Y As Float, Pointer As Int)
	'Makes the dog actor visible
	urdan.Visible = True
End Sub


Sub bandera_TgtDrag(Source As lgScn2DActor, Payload As lgScn2DDragAndDropPayload, X As Float, Y As Float, Pointer As Int) As Boolean
	'Checks whether the source can be dropped
	If Source=chorizo OR Source=urdan Then

		Return	False 
	Else  
esp=1
		Return True

			
		End If

End Sub
Sub bandera_TgtReset(Source As lgScn2DActor, Payload As lgScn2DDragAndDropPayload)
	
End Sub
Sub bandera_TgtDrop(Source As lgScn2DActor, Payload As lgScn2DDragAndDropPayload, X As Float, Y As Float, Pointer As Int)
	'The source actor is displayed in front of the house
Source.setScale(0.5, 0.5)
	Source.X = Payload.DragActor.X
	Source.Y = bandera.Y

	DragAndDrop.RemoveSource(Source)

End Sub

Sub barcenas_TgtDrag(Source As lgScn2DActor, Payload As lgScn2DDragAndDropPayload, X As Float, Y As Float, Pointer As Int) As Boolean
	'Checks whether the source can be dropped

	If Source=urdan OR Source=aznar Then

			Return False
	Else 
bar=1
		Return True

			
		End If

End Sub
Sub barcenas_TgtReset(Source As lgScn2DActor, Payload As lgScn2DDragAndDropPayload)
	
End Sub
Sub barcenas_TgtDrop(Source As lgScn2DActor, Payload As lgScn2DDragAndDropPayload, X As Float, Y As Float, Pointer As Int)
	'The source actor is displayed in front of the house
Source.setScale(0.5, 0.5)
	Source.X = Payload.DragActor.X
	Source.Y = barcenas.Y

	'It is removed from the drag'n'drop sources
	DragAndDrop.RemoveSource(Source)

End Sub

Sub rey_TgtDrag(Source As lgScn2DActor, Payload As lgScn2DDragAndDropPayload, X As Float, Y As Float, Pointer As Int) As Boolean
	'Checks whether the source can be dropped

	If Source=chorizo OR Source=aznar Then

			Return False
	Else 
re=1
		Return True

			
		End If

End Sub
Sub rey_TgtReset(Source As lgScn2DActor, Payload As lgScn2DDragAndDropPayload)
	
End Sub
Sub rey_TgtDrop(Source As lgScn2DActor, Payload As lgScn2DDragAndDropPayload, X As Float, Y As Float, Pointer As Int)
	'The source actor is displayed in front of the house
Source.setScale(0.5, 0.5)
	Source.X = Payload.DragActor.X
	Source.Y = urdan.Y

	'It is removed from the drag'n'drop sources
	DragAndDrop.RemoveSource(Source)

End Sub
Sub ti_Tick
	control
End Sub
Sub control

ti.Enabled=False
If esp=1 AND re=1 AND bar=1 Then
juego.n=juego.n+10

lGdx.Exit
Activity.Finish
Else
juego.n=juego.n-10
lGdx.Exit
Activity.Finish
End If
End Sub

