﻿Type=Activity
Version=2.71
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

'Activity module
Sub Process_Globals
	Type typSkater(Tex As lgTexture, X As Float, Y As Float, velocityX As Float, velocityY As Float)
	Dim numero As Int
	Dim tim As Timer
	Dim timm As Timer
End Sub

Sub Globals
Dim entrada As NumberDialog
	Dim n As Int
	Dim lGdx As LibGDX
	Dim GL As lgGL
	Dim Batch As lgSpriteBatch
	Dim Camera As lgOrthographicCamera

	Dim texBackground As lgTexture
	Dim NbOfRepetitionsX, NbOfRepetitionsY As Int
	Dim texSkaters(3) As lgTexture
	Dim lstSkaters As lgArray

	Dim Font As lgBitmapFont
	Dim lastJumbleTime As Long

	Dim COEFFICIENT_OF_RESTITUTION As Float = 0.75
	Dim SPEED_OF_GRAVITY As Int = 150
	Dim JUMBLE_EVERYTHING_DELAY As Int = 15 * 1000
	Dim MAX_VELOCITY As Int = 3000
Dim soni As lgMusic
Dim p As Phone
End Sub

'-----------------------------------------------------------------------
'This demo requires the Better Dialogs library:
'http://www.basic4ppc.com/android/forum/threads/lib-betterdialogs.30739/
'-----------------------------------------------------------------------

Sub Activity_Create(FirstTime As Boolean)
	Activity.Title = "Performance - Skaters"
	Activity.Color = Colors.Blue
	
		tim.Initialize("tim",10000)
		tim.Enabled=True
		timm.Initialize("timm",1000)
		timm.Enabled=True

soni.Initialize("tictac.mp3","soni")
	soni.Volume=0.7
	soni.Looping=True
	soni.Play
entrada.Digits=2

End Sub

Sub Activity_Resume

		'Disables the accelerometer and the compass
		Dim Config As lgConfiguration
		Config.useAccelerometer = False
		Config.useCompass = False

		'Enables OpenGL ES 2.0 if available
		Config.useGL20 = True

		'Creates the libGDX surface
		lGdx.Initialize2(Config, "LG")
		


	'Informs libGDX of Resume events
	If lGdx.IsInitialized Then lGdx.Resume
End Sub

Sub Activity_Pause (UserClosed As Boolean)
	'Informs libGDX of Pause events
	If lGdx.IsInitialized Then lGdx.Pause
End Sub

Sub Check_Max(Answer As String, CompactAnswer As String) As String
	If Not(IsNumber(Answer)) OR Answer < 1 Then
		Return "Invalid value"
	End If
	If Answer > 5400 Then
		Return "Max value: 5400"
	End If
	Return ""
End Sub

Sub CreateSkaters(Count As Int)
	'Creates the skaters
	Dim robotBucketSize As Int = Count / 3
	For i = 1 To Count
		Dim Skater As typSkater
		Skater.Initialize
		If (i < robotBucketSize) Then
			Skater.Tex = texSkaters(0)
		Else If (i < robotBucketSize * 2) Then
			Skater.Tex = texSkaters(1)
		Else
			Skater.Tex = texSkaters(2)
		End If
		Skater.X = Rnd(0, lGdx.Graphics.Width - Skater.Tex.Width)
		Skater.Y = Rnd(0, lGdx.Graphics.Height - Skater.Tex.Height)
		lstSkaters.Add(Skater)
	Next
End Sub

Sub LG_Create
	'Initializes the sprite batcher
	Batch.Initialize2(numero)

	'Loads the background texture (will be repeated)
	texBackground.Initialize("background.jpg")

	texBackground.SetWrap(texBackground.WRAP_Repeat, texBackground.WRAP_Repeat)

	'Loads the skaters textures
	texSkaters(0).Initialize("skate1.png")
	texSkaters(1).Initialize("skate2.png")
	texSkaters(2).Initialize("skate3.png")

	'Creates the skaters

	lstSkaters.Initialize2(numero)
	CreateSkaters(numero)

	'Creates a BitmapFont from the LiquidCrystal font file
	Dim FG As lgFontGenerator
	Font = FG.CreateFont("font/liquidcrystal.otf",70 * Density, "FPS:0123456789")
'	Font.SetColorRGBA(1, 1, 1, 1) 'White
	Font.Color=Font.Color.GREEN
End Sub
Sub ver
lstSkaters.Initialize2(40)
	CreateSkaters(40)
soni.Stop
'entrada.InputType=entrada.INPUT_TYPE_NUMBERS
'	entrada.Input=""
tim.Enabled=False
	 entrada.Show("Número de sujetos","ok","","",Null)
	 
	Log ("respuesta "&entrada.Number)
	If entrada.Number=numero Then
	p.HideKeyboard(Activity)
juego.n=juego.n+10
Activity.Finish

		Else
		p.HideKeyboard(Activity)
			juego.n=juego.n-10
			Activity.Finish
			
		End If

End Sub
Sub timm_Tick
'	Dim n As Int
n=n+1
'contador.Text=10-n
End Sub

Sub tim_Tick
timm.Enabled=False
	ver
End Sub

Sub LG_Resize(Width As Int, Height As Int)
	'Sets the camera viewport
	Camera.Initialize
	Camera.SetToOrtho(False)

	'Computes the number of repetitions of the background tile to cover the whole screen
	NbOfRepetitionsX = Width / texBackground.Width
	NbOfRepetitionsY = Height / texBackground.Height
End Sub

Sub LG_Render
	'Clears the screen
	GL.glClear(GL.GL10_COLOR_BUFFER_BIT)

	'Updates the matrices of the camera
	Camera.Update

	'Uses the coordinate system specified by the camera
	Batch.ProjectionMatrix = Camera.Combined

	'Updates the position of skaters
	LG_Update

	'Renders the (repeated) background and draws the skaters with their new position
	Batch.Begin
	Batch.DrawTex3(texBackground, 0, 0, lGdx.Graphics.Width, lGdx.Graphics.Height, 0, NbOfRepetitionsY, NbOfRepetitionsX, 0)
	Dim Skater As typSkater
	Try
	For i = 0 To lstSkaters.Size - 1
		Skater = lstSkaters.Get(i)
		Batch.DrawTex2(Skater.Tex, Skater.X, Skater.Y,25%x,20%y)
	Next
	Catch
	End Try
	Font.Draw(Batch, ""&(9-n) , 12dip, lGdx.Graphics.Height - 10dip)
	Batch.End
End Sub

Sub LG_Update
	'Is it time to jumble?
	Dim jumble As Boolean = (DateTime.Now - lastJumbleTime > JUMBLE_EVERYTHING_DELAY)
	If jumble Then lastJumbleTime = DateTime.Now

	'Computes the new position of each skater
	Dim timeDeltaSeconds As Float = lGdx.Graphics.DeltaTime
	Try
	For i = 0 To lstSkaters.Size - 1
		Dim Skater As typSkater = lstSkaters.Get(i)

		'Jumble! Applies random velocities
		If (jumble) Then
			Skater.velocityX = Skater.velocityX + (MAX_VELOCITY / 2) - Rnd(0, MAX_VELOCITY)
			Skater.velocityY = Skater.velocityY + (MAX_VELOCITY / 2) - Rnd(0, MAX_VELOCITY)
		End If

		'Moves the skaters
		Skater.X = Skater.X + (Skater.velocityX * timeDeltaSeconds)
		Skater.Y = Skater.Y + (Skater.velocityY * timeDeltaSeconds)

		'Applies gravity
		Skater.velocityY = Skater.velocityY - (SPEED_OF_GRAVITY * timeDeltaSeconds)

		'Bounces
		If (Skater.X < 0 AND Skater.velocityX < 0) OR (Skater.X > lGdx.Graphics.Width - Skater.Tex.Width AND Skater.velocityX > 0) Then
			Skater.velocityX = -Skater.velocityX * COEFFICIENT_OF_RESTITUTION
			Skater.X = Max(0, Min(Skater.X, lGdx.Graphics.Width - Skater.Tex.Width))
			If Abs(Skater.velocityX) < 0.1 Then Skater.velocityX = 0
		End If
		If (Skater.Y < 0 AND Skater.velocityY < 0) OR (Skater.Y > lGdx.Graphics.Height - Skater.Tex.Height AND Skater.velocityY > 0) Then
			Skater.velocityY = -Skater.velocityY * COEFFICIENT_OF_RESTITUTION
			Skater.Y = Max(0, Min(Skater.Y, lGdx.Graphics.Height - Skater.Tex.Height))
			If Abs(Skater.velocityY) < 0.1 Then Skater.velocityY = 0
		End If
	Next
	Catch
	End Try
End Sub

Sub LG_Pause
End Sub

Sub LG_Resume
End Sub

Sub LG_Dispose
	'Disposes all resources used by lgTexture, lgBitmapFont and lgSpriteBatch
	texBackground.dispose
	For i = 0 To 2
		texSkaters(i).dispose
	Next
	Font.dispose
	Batch.dispose
End Sub

